Public Class usrCntlModaltrans_NCTS_Allg
    Property NCTS_ART = "T-"

    'Dim NCTS As DAKOSY_Worker.cDakosyNCTSOut = Nothing
    Dim NCTS_TR As VERAG_PROG_ALLGEMEIN.cOregonNCTs_DeclarationData = Nothing



    Sub New(NCTS_TR As VERAG_PROG_ALLGEMEIN.cOregonNCTs_DeclarationData)

        ' Dieser Aufruf ist für den Designer erforderlich.
        InitializeComponent()
        Me.NCTS_TR = NCTS_TR
        ' Fügen Sie Initialisierungen nach dem InitializeComponent()-Aufruf hinzu.

    End Sub


    Private Sub usrCntlModaltrans_NCTS_Load(sender As Object, e As EventArgs) Handles MyBase.Load

        sbAbgangZollstelle.initSearchBox(Me.FindForm, "[Code] ,[Code] as Nr,Description as Dienststelle,left(Code,2) as Land,[Description] +' (' +left(Code,2)+')' as display FROM [tbl_DY_ZollDE_C0141_Zollstellen]", {" [Code]", "Description"}, " (StartDate is null OR StartDate< GETDATE()) AND (EndDate is null OR EndDate> GETDATE()) ", " left(Code,2),[Description]", "Code", "display", "FMZOLL", , 400, 200, {"display", "Code"})
        sbBestimmungZollstelle.initSearchBox(Me.FindForm, "[Code] ,[Code] as Nr,Description as Dienststelle,left(Code,2) as Land,[Description] +' (' +left(Code,2)+')' as display FROM [tbl_DY_ZollDE_C0141_Zollstellen]", {" [Code]", "Description"}, " (StartDate is null OR StartDate< GETDATE()) AND (EndDate is null OR EndDate> GETDATE()) ", " left(Code,2),[Description]", "Code", "display", "FMZOLL", , 400, 200, {"display", "Code"})

        sbDurchgangszollstelle1.initSearchBox(Me.FindForm, "[Code] ,[Code] as Nr,Description as Dienststelle,left(Code,2) as Land,[Description] +' (' +left(Code,2)+')' as display FROM [tbl_DY_ZollDE_C0141_Zollstellen]", {" [Code]", "Description"}, " (StartDate is null OR StartDate< GETDATE()) AND (EndDate is null OR EndDate> GETDATE()) ", " left(Code,2),[Description]", "Code", "display", "FMZOLL", , 400, 200, {"display", "Code"})
        sbDurchgangszollstelle2.initSearchBox(Me.FindForm, "[Code] ,[Code] as Nr,Description as Dienststelle,left(Code,2) as Land,[Description] +' (' +left(Code,2)+')' as display FROM [tbl_DY_ZollDE_C0141_Zollstellen]", {" [Code]", "Description"}, " (StartDate is null OR StartDate< GETDATE()) AND (EndDate is null OR EndDate> GETDATE()) ", " left(Code,2),[Description]", "Code", "display", "FMZOLL", , 400, 200, {"display", "Code"})
        sbDurchgangszollstelle3.initSearchBox(Me.FindForm, "[Code] ,[Code] as Nr,Description as Dienststelle,left(Code,2) as Land,[Description] +' (' +left(Code,2)+')' as display FROM [tbl_DY_ZollDE_C0141_Zollstellen]", {" [Code]", "Description"}, " (StartDate is null OR StartDate< GETDATE()) AND (EndDate is null OR EndDate> GETDATE()) ", " left(Code,2),[Description]", "Code", "display", "FMZOLL", , 400, 200, {"display", "Code"})
        sbDurchgangszollstelle4.initSearchBox(Me.FindForm, "[Code] ,[Code] as Nr,Description as Dienststelle,left(Code,2) as Land,[Description] +' (' +left(Code,2)+')' as display FROM [tbl_DY_ZollDE_C0141_Zollstellen]", {" [Code]", "Description"}, " (StartDate is null OR StartDate< GETDATE()) AND (EndDate is null OR EndDate> GETDATE()) ", " left(Code,2),[Description]", "Code", "display", "FMZOLL", , 400, 200, {"display", "Code"})
        sbDurchgangszollstelle5.initSearchBox(Me.FindForm, "[Code] ,[Code] as Nr,Description as Dienststelle,left(Code,2) as Land,[Description] +' (' +left(Code,2)+')' as display FROM [tbl_DY_ZollDE_C0141_Zollstellen]", {" [Code]", "Description"}, " (StartDate is null OR StartDate< GETDATE()) AND (EndDate is null OR EndDate> GETDATE()) ", " left(Code,2),[Description]", "Code", "display", "FMZOLL", , 400, 200, {"display", "Code"})
        sbDurchgangszollstelle6.initSearchBox(Me.FindForm, "[Code] ,[Code] as Nr,Description as Dienststelle,left(Code,2) as Land,[Description] +' (' +left(Code,2)+')' as display FROM [tbl_DY_ZollDE_C0141_Zollstellen]", {" [Code]", "Description"}, " (StartDate is null OR StartDate< GETDATE()) AND (EndDate is null OR EndDate> GETDATE()) ", " left(Code,2),[Description]", "Code", "display", "FMZOLL", , 400, 200, {"display", "Code"})
        sbDurchgangszollstelle7.initSearchBox(Me.FindForm, "[Code] ,[Code] as Nr,Description as Dienststelle,left(Code,2) as Land,[Description] +' (' +left(Code,2)+')' as display FROM [tbl_DY_ZollDE_C0141_Zollstellen]", {" [Code]", "Description"}, " (StartDate is null OR StartDate< GETDATE()) AND (EndDate is null OR EndDate> GETDATE()) ", " left(Code,2),[Description]", "Code", "display", "FMZOLL", , 400, 200, {"display", "Code"})
        sbDurchgangszollstelle8.initSearchBox(Me.FindForm, "[Code] ,[Code] as Nr,Description as Dienststelle,left(Code,2) as Land,[Description] +' (' +left(Code,2)+')' as display FROM [tbl_DY_ZollDE_C0141_Zollstellen]", {" [Code]", "Description"}, " (StartDate is null OR StartDate< GETDATE()) AND (EndDate is null OR EndDate> GETDATE()) ", " left(Code,2),[Description]", "Code", "display", "FMZOLL", , 400, 200, {"display", "Code"})
        sbDurchgangszollstelle9.initSearchBox(Me.FindForm, "[Code] ,[Code] as Nr,Description as Dienststelle,left(Code,2) as Land,[Description] +' (' +left(Code,2)+')' as display FROM [tbl_DY_ZollDE_C0141_Zollstellen]", {" [Code]", "Description"}, " (StartDate is null OR StartDate< GETDATE()) AND (EndDate is null OR EndDate> GETDATE()) ", " left(Code,2),[Description]", "Code", "display", "FMZOLL", , 400, 200, {"display", "Code"})



        sbRoute1.initSearchBox(Me.FindForm, " [Code] ,[Description] as Land,[Code]+' - ' +[Description] as display  FROM tbl_DY_ZollDE_C0008_LaenderFull", {"Code", "Description"}, " (StartDate is null OR StartDate< GETDATE()) AND (EndDate is null OR EndDate> GETDATE()) ", "Code", "Code", "display", "FMZOLL", , 400, 200)
        sbRoute2.initSearchBox(Me.FindForm, " [Code] ,[Description] as Land,[Code]+' - ' +[Description] as display  FROM tbl_DY_ZollDE_C0008_LaenderFull", {"Code", "Description"}, " (StartDate is null OR StartDate< GETDATE()) AND (EndDate is null OR EndDate> GETDATE()) ", "Code", "Code", "display", "FMZOLL", , 400, 200)
        sbRoute3.initSearchBox(Me.FindForm, " [Code] ,[Description] as Land,[Code]+' - ' +[Description] as display  FROM tbl_DY_ZollDE_C0008_LaenderFull", {"Code", "Description"}, " (StartDate is null OR StartDate< GETDATE()) AND (EndDate is null OR EndDate> GETDATE()) ", "Code", "Code", "display", "FMZOLL", , 400, 200)
        sbRoute4.initSearchBox(Me.FindForm, " [Code] ,[Description] as Land,[Code]+' - ' +[Description] as display  FROM tbl_DY_ZollDE_C0008_LaenderFull", {"Code", "Description"}, " (StartDate is null OR StartDate< GETDATE()) AND (EndDate is null OR EndDate> GETDATE()) ", "Code", "Code", "display", "FMZOLL", , 400, 200)
        sbRoute5.initSearchBox(Me.FindForm, " [Code] ,[Description] as Land,[Code]+' - ' +[Description] as display  FROM tbl_DY_ZollDE_C0008_LaenderFull", {"Code", "Description"}, " (StartDate is null OR StartDate< GETDATE()) AND (EndDate is null OR EndDate> GETDATE()) ", "Code", "Code", "display", "FMZOLL", , 400, 200)
        sbRoute6.initSearchBox(Me.FindForm, " [Code] ,[Description] as Land,[Code]+' - ' +[Description] as display  FROM tbl_DY_ZollDE_C0008_LaenderFull", {"Code", "Description"}, " (StartDate is null OR StartDate< GETDATE()) AND (EndDate is null OR EndDate> GETDATE()) ", "Code", "Code", "display", "FMZOLL", , 400, 200)
        sbRoute7.initSearchBox(Me.FindForm, " [Code] ,[Description] as Land,[Code]+' - ' +[Description] as display  FROM tbl_DY_ZollDE_C0008_LaenderFull", {"Code", "Description"}, " (StartDate is null OR StartDate< GETDATE()) AND (EndDate is null OR EndDate> GETDATE()) ", "Code", "Code", "display", "FMZOLL", , 400, 200)
        sbRoute8.initSearchBox(Me.FindForm, " [Code] ,[Description] as Land,[Code]+' - ' +[Description] as display  FROM tbl_DY_ZollDE_C0008_LaenderFull", {"Code", "Description"}, " (StartDate is null OR StartDate< GETDATE()) AND (EndDate is null OR EndDate> GETDATE()) ", "Code", "Code", "display", "FMZOLL", , 400, 200)
        sbRoute9.initSearchBox(Me.FindForm, " [Code] ,[Description] as Land,[Code]+' - ' +[Description] as display  FROM tbl_DY_ZollDE_C0008_LaenderFull", {"Code", "Description"}, " (StartDate is null OR StartDate< GETDATE()) AND (EndDate is null OR EndDate> GETDATE()) ", "Code", "Code", "display", "FMZOLL", , 400, 200)
        sbBestimmungsland.initSearchBox(Me.FindForm, " [Code] ,[Description] as Land,[Code]+' - ' +[Description] as display   FROM tbl_DY_ZollDE_C0008_LaenderFull", {"Code", "Description"}, " (StartDate is null OR StartDate< GETDATE()) AND (EndDate is null OR EndDate> GETDATE()) ", "Code", "Code", "display", "FMZOLL", , 400, 200)
        sbVersendungsLand.initSearchBox(Me.FindForm, " [Code] ,[Description] as Land,[Code]+' - ' +[Description] as display   FROM tbl_DY_ZollDE_C0008_LaenderFull", {"Code", "Description"}, " (StartDate is null OR StartDate< GETDATE()) AND (EndDate is null OR EndDate> GETDATE()) ", "Code", "Code", "display", "FMZOLL", , 400, 200)
        sbKennzeichenGrenzeLand.initSearchBox(Me.FindForm, " [Code] ,[Description] as Land FROM tbl_DY_ZollDE_C0008_LaenderFull", {"Code", "Description"}, " (StartDate is null OR StartDate< GETDATE()) AND (EndDate is null OR EndDate> GETDATE()) ", "Code", "Code", "Code", "FMZOLL", , 400, 200)
        sbKennzeichenAbgangLand.initSearchBox(Me.FindForm, " [Code] ,[Description] as Land FROM tbl_DY_ZollDE_C0008_LaenderFull", {"Code", "Description"}, " (StartDate is null OR StartDate< GETDATE()) AND (EndDate is null OR EndDate> GETDATE()) ", "Code", "Code", "Code", "FMZOLL", , 400, 200)



        '   AddHandler sbAbgangZollstelle.VALUE_CHANGED, Sub()
        'If sbAbgangZollstelle.DR IsNot Nothing Then
        'If sbVersendungsLand._value = "" Then sbVersendungsLand.SET_VALUE(sbAbgangZollstelle.DR("Land"))
        '  End If
        'End Sub
        AddHandler sbBestimmungZollstelle.VALUE_CHANGED, Sub()
                                                             If sbBestimmungZollstelle.DR IsNot Nothing Then
                                                                 If sbBestimmungsland._value = "" Then sbBestimmungsland.SET_VALUE(sbBestimmungZollstelle.DR("Land"))
                                                             End If
                                                         End Sub

        '        LIST_BGW = (New SQL).loadCboBySqlWithListItem("SELECT [basncd_dstnr],[basncd_name] +' (' +[basncd_alpha]+')'  FROM [atlas].[dbo].[basncd]  where  [basncd_gbdat] >= getdate()  order by [basncd_alpha], [basncd_name]", False, "ATLAS")


        cboVerkehrszweig.Items.Clear()
        cboVerkehrszweig.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("", ""))
        cboVerkehrszweig.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("1 - Seeverkehr", "1"))
        cboVerkehrszweig.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("2 - Eisenbahnverkehr", "2"))
        cboVerkehrszweig.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("3 - Straßenverkehr", "3"))
        cboVerkehrszweig.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("4 - Luftverkehr", "4"))
        cboVerkehrszweig.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("5 - Postsendungen", "5"))
        cboVerkehrszweig.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("7 - Feste Transporteinrichtungen", "7"))
        cboVerkehrszweig.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("8 - Binnenschifffahrt", "8"))
        cboVerkehrszweig.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("9 - Eigener Antrieb", "9"))
        cboVerkehrszweig.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("10 - Seeverkehr", "10"))
        cboVerkehrszweig.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("12 - Waggon auf Seeschiff", "12"))
        cboVerkehrszweig.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("16 - Straßenfahrzeug auf Seeschiff", "16"))
        cboVerkehrszweig.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("17 - Anhänger/Auflieger auf Seeschiff", "17"))
        cboVerkehrszweig.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("18 - Binnenschiff auf Seeschiff", "18"))
        cboVerkehrszweig.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("20 - Eisenbahnverkehr", "20"))
        cboVerkehrszweig.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("23 - Straßenfahrzeug auf Eisenbahn", "23"))
        cboVerkehrszweig.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("30 - Straßenverkehr", "30"))
        cboVerkehrszweig.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("40 - Luftverkehr", "40"))
        cboVerkehrszweig.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("50 - Postsendungen", "50"))
        cboVerkehrszweig.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("70 - Feste Transporteinrichtungen", "70"))
        cboVerkehrszweig.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("80 - Binnenschifffahrt", "80"))
        cboVerkehrszweig.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("90 - Eigener Antrieb", "90"))
        cboVerkehrszweig.changeItem("3")


        cboArtGrenzUeberschreitung.Items.Clear()
        cboArtGrenzUeberschreitung.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("", ""))
        cboArtGrenzUeberschreitung.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("10 - Seeschiff", "10"))
        cboArtGrenzUeberschreitung.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("20 - Waggon", "20"))
        cboArtGrenzUeberschreitung.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("31 - Pkw", "31"))
        cboArtGrenzUeberschreitung.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("32 - Pkw mit Anhänger", "32"))
        cboArtGrenzUeberschreitung.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("33 - Lkw", "33"))
        cboArtGrenzUeberschreitung.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("34 - Lkw mit Anhänger", "34"))
        cboArtGrenzUeberschreitung.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("35 - Zugmaschine mit Auflieger ", "35"))
        cboArtGrenzUeberschreitung.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("40 - Flugzeug", "40"))
        cboArtGrenzUeberschreitung.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("50 - Binnenschiff", "50"))
        cboArtGrenzUeberschreitung.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("60 - Eigener Antrieb", "60"))
        cboArtGrenzUeberschreitung.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("70 - Feste Transporteinrichtung", "70"))
        cboArtGrenzUeberschreitung.changeItem("35")


        cboBesondereUmstaende.Items.Clear()
        cboBesondereUmstaende.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("", ""))
        cboBesondereUmstaende.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("A - Post- und Express-Sendungen", "A"))
        cboBesondereUmstaende.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("C - Straßentransport", "C"))
        cboBesondereUmstaende.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("D - Bahntransport", "D"))
        cboBesondereUmstaende.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("E - Zugel. Wirtschaftsbeteiligte", "E"))
        cboBesondereUmstaende.changeItem("C")


        cboZahlungsweiseBefKosten.Items.Clear()
        cboZahlungsweiseBefKosten.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("", ""))
        cboZahlungsweiseBefKosten.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("A - Barzahlung", "A"))
        cboZahlungsweiseBefKosten.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("B - Kreditkartenzahlung", "B"))
        cboZahlungsweiseBefKosten.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("C - Zahlung mit Scheck", "C"))
        cboZahlungsweiseBefKosten.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("D - andere", "D"))
        cboZahlungsweiseBefKosten.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("H - Elektr.Geldtransfer", "H"))
        cboZahlungsweiseBefKosten.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("Y - Kontoinhaber = Beförderer", "Y"))
        cboZahlungsweiseBefKosten.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("Z - nicht vorausbezahlt", "Z"))
        cboZahlungsweiseBefKosten.changeItem("D")








        'btnAllgemein_Click(btnT2, New EventArgs)

        ' setValues(NCTS)
    End Sub


    Private Sub Button1_Click(sender As Object, e As EventArgs)
        MsgBox(sbAbgangZollstelle._value)
    End Sub


    Public Sub getValues(ByRef NCTS) 'As DAKOSY_Worker.cDakosyNCTSOut)
        NCTS.ncts_ArtAnmeldung = cProgramFunctions.isLeerNothing(NCTS_ART)
        NCTS.ncts_AbgangsDienststellennummer = cProgramFunctions.isLeerNothing(sbAbgangZollstelle._value)
        NCTS.ncts_BestimmungsstelleDienststellennummer = cProgramFunctions.isLeerNothing(sbBestimmungZollstelle._value)

        NCTS.ncts_VersendungsLandCode = cProgramFunctions.isLeerNothing(sbVersendungsLand._value)
        NCTS.ncts_BestimmungslandCode = cProgramFunctions.isLeerNothing(sbBestimmungsland._value)


        NCTS.ncts_DurchgangszollstelleDienststellnummer1 = cProgramFunctions.isLeerNothing(sbDurchgangszollstelle1._value)
        NCTS.ncts_DurchgangszollstelleDienststellnummer2 = cProgramFunctions.isLeerNothing(sbDurchgangszollstelle2._value)
        NCTS.ncts_DurchgangszollstelleDienststellnummer3 = cProgramFunctions.isLeerNothing(sbDurchgangszollstelle3._value)
        NCTS.ncts_DurchgangszollstelleDienststellnummer4 = cProgramFunctions.isLeerNothing(sbDurchgangszollstelle4._value)
        NCTS.ncts_DurchgangszollstelleDienststellnummer5 = cProgramFunctions.isLeerNothing(sbDurchgangszollstelle5._value)
        NCTS.ncts_DurchgangszollstelleDienststellnummer6 = cProgramFunctions.isLeerNothing(sbDurchgangszollstelle6._value)
        NCTS.ncts_DurchgangszollstelleDienststellnummer7 = cProgramFunctions.isLeerNothing(sbDurchgangszollstelle7._value)
        NCTS.ncts_DurchgangszollstelleDienststellnummer8 = cProgramFunctions.isLeerNothing(sbDurchgangszollstelle8._value)
        NCTS.ncts_DurchgangszollstelleDienststellnummer9 = cProgramFunctions.isLeerNothing(sbDurchgangszollstelle9._value)


        NCTS.ncts_SumA_BefoerderungsrouteLand1 = cProgramFunctions.isLeerNothing(sbRoute1._value)
        NCTS.ncts_SumA_BefoerderungsrouteLand2 = cProgramFunctions.isLeerNothing(sbRoute2._value)
        NCTS.ncts_SumA_BefoerderungsrouteLand3 = cProgramFunctions.isLeerNothing(sbRoute3._value)
        NCTS.ncts_SumA_BefoerderungsrouteLand4 = cProgramFunctions.isLeerNothing(sbRoute4._value)
        NCTS.ncts_SumA_BefoerderungsrouteLand5 = cProgramFunctions.isLeerNothing(sbRoute5._value)
        NCTS.ncts_SumA_BefoerderungsrouteLand6 = cProgramFunctions.isLeerNothing(sbRoute6._value)
        NCTS.ncts_SumA_BefoerderungsrouteLand7 = cProgramFunctions.isLeerNothing(sbRoute7._value)
        NCTS.ncts_SumA_BefoerderungsrouteLand8 = cProgramFunctions.isLeerNothing(sbRoute8._value)
        NCTS.ncts_SumA_BefoerderungsrouteLand9 = cProgramFunctions.isLeerNothing(sbRoute9._value)

        NCTS.ncts_SumA_KennnummerSendung = cProgramFunctions.isLeerNothing(txtKennnummer.Text)


        '  NCTS.ncts_BeladungsOrt = cProgramFunctions.isLeerNothing(txtBeladungsort.Text)
        NCTS.ncts_SumA_Ladeort = cProgramFunctions.isLeerNothing(txtLadeort.Text)
        NCTS.ncts_SumA_Entladeort = cProgramFunctions.isLeerNothing(txtEntladeort.Text)
        ' NCTS.ncts_Wiedergestellungsdatum = cProgramFunctions.isLeerNothing(txtWiedergestellungsdatum._value)


        If cbxVereinfachtesVerfahren.Checked Then
            NCTS.ncts_KzVereinfachtesVerfahren = True
            '     MsgBox(txtWiedergestellungsdatum._value)
            NCTS.ncts_Wiedergestellungsdatum = cProgramFunctions.isLeerNothing(txtWiedergestellungsdatum._value)
            NCTS.ncts_BeladungsOrt = cProgramFunctions.isLeerNothing(txtBeladungsort.Text)
        Else
            NCTS.ncts_KzVereinfachtesVerfahren = False
            NCTS.ncts_Wiedergestellungsdatum = Nothing
            NCTS.ncts_BeladungsOrt = Nothing
        End If

        NCTS.ncts_SumA_KzSumASicherheit = cbxSumASicherheit.Checked

        NCTS.ncts_Befoerderungsmittel_KennzeichenAbgang = cProgramFunctions.isLeerNothing(txtKennzeichenAbgang._value)
        NCTS.ncts_Befoerderungsmittel_SttaszugehoerigkeitAbgangCode = cProgramFunctions.isLeerNothing(sbKennzeichenAbgangLand._value)
        NCTS.ncts_Befoerderungsmittel_KennzeichenGrenzueberschreitend = cProgramFunctions.isLeerNothing(txtKennzeichenGrenze._value)
        NCTS.ncts_Befoerderungsmittel_StaatszugehoerigkeitGrenzueberschreitendCode = cProgramFunctions.isLeerNothing(sbKennzeichenGrenzeLand._value)

        NCTS.ncts_Befoerderungsmittel_ArtGrenzueberschreitung = cProgramFunctions.isLeerNothing(cboArtGrenzUeberschreitung._value)
        NCTS.ncts_Befoerderungsmittel_VerkehrszweigGrenzueberschreitent = cProgramFunctions.isLeerNothing(cboVerkehrszweig._value)
        NCTS.ncts_SumA_BesondereUmstaende = cProgramFunctions.isLeerNothing(cboBesondereUmstaende._value)
        NCTS.ncts_SumA_BefoerderungskostenZahlungsweise = cProgramFunctions.isLeerNothing(cboZahlungsweiseBefKosten._value)

        '     NCTS.ncts_GesamtRohmasse = cProgramFunctions.isLeerNothing(rohm._value)

        '  NCTS.ncts_KzVereinfachtesVerfahren = If(cbxVereinfachtesVerfahren.Checked, True, False) '???

    End Sub


    Public Sub setValues(NCTS) 'As DAKOSY_Worker.cDakosyNCTSOut)
        If NCTS Is Nothing Then Exit Sub
        sbAbgangZollstelle.SET_VALUE(If(NCTS.ncts_AbgangsDienststellennummer, ""))
        sbBestimmungZollstelle.SET_VALUE(If(NCTS.ncts_BestimmungsstelleDienststellennummer, ""))

        sbVersendungsLand.SET_VALUE(If(NCTS.ncts_VersendungsLandCode, ""))
        sbBestimmungsland.SET_VALUE(If(NCTS.ncts_BestimmungslandCode, ""))

        sbDurchgangszollstelle1.SET_VALUE(NCTS.ncts_DurchgangszollstelleDienststellnummer1)
        sbDurchgangszollstelle2.SET_VALUE(NCTS.ncts_DurchgangszollstelleDienststellnummer2)
        sbDurchgangszollstelle3.SET_VALUE(NCTS.ncts_DurchgangszollstelleDienststellnummer3)
        sbDurchgangszollstelle4.SET_VALUE(NCTS.ncts_DurchgangszollstelleDienststellnummer4)
        sbDurchgangszollstelle5.SET_VALUE(NCTS.ncts_DurchgangszollstelleDienststellnummer5)
        sbDurchgangszollstelle6.SET_VALUE(NCTS.ncts_DurchgangszollstelleDienststellnummer6)
        sbDurchgangszollstelle7.SET_VALUE(NCTS.ncts_DurchgangszollstelleDienststellnummer7)
        sbDurchgangszollstelle8.SET_VALUE(NCTS.ncts_DurchgangszollstelleDienststellnummer8)
        sbDurchgangszollstelle9.SET_VALUE(NCTS.ncts_DurchgangszollstelleDienststellnummer9)

        sbRoute1.SET_VALUE(NCTS.ncts_SumA_BefoerderungsrouteLand1)
        sbRoute2.SET_VALUE(NCTS.ncts_SumA_BefoerderungsrouteLand2)
        sbRoute3.SET_VALUE(NCTS.ncts_SumA_BefoerderungsrouteLand3)
        sbRoute4.SET_VALUE(NCTS.ncts_SumA_BefoerderungsrouteLand4)
        sbRoute5.SET_VALUE(NCTS.ncts_SumA_BefoerderungsrouteLand5)
        sbRoute6.SET_VALUE(NCTS.ncts_SumA_BefoerderungsrouteLand6)
        sbRoute7.SET_VALUE(NCTS.ncts_SumA_BefoerderungsrouteLand7)
        sbRoute8.SET_VALUE(NCTS.ncts_SumA_BefoerderungsrouteLand8)
        sbRoute9.SET_VALUE(NCTS.ncts_SumA_BefoerderungsrouteLand9)

        txtKennnummer.Text = NCTS.ncts_SumA_KennnummerSendung

        NCTS_ART = If(NCTS.ncts_ArtAnmeldung, "T-")

        Select Case NCTS_ART
            Case "T-" : initButton(btnTMinus)
            Case "T1" : initButton(btnT1)
            Case "T2" : initButton(btnT2)
            Case "T2F" : initButton(btnT2F)
            Case "TIR" : initButton(btnTIR)
        End Select

        cbxVereinfachtesVerfahren.Checked = If(NCTS.ncts_KzVereinfachtesVerfahren, False)
        cbxSumASicherheit.Checked = If(NCTS.ncts_SumA_KzSumASicherheit, False)

        txtBeladungsort.Text = If(NCTS.ncts_BeladungsOrt, "")
        txtWiedergestellungsdatum._value = If(NCTS.ncts_Wiedergestellungsdatum, Nothing)

        txtLadeort.Text = If(NCTS.ncts_SumA_Ladeort, "")
        txtEntladeort.Text = If(NCTS.ncts_SumA_Entladeort, "")


        txtKennzeichenAbgang.Text = If(NCTS.ncts_Befoerderungsmittel_KennzeichenAbgang, "")
        sbKennzeichenAbgangLand.SET_VALUE(If(NCTS.ncts_Befoerderungsmittel_SttaszugehoerigkeitAbgangCode, ""))
        txtKennzeichenGrenze.Text = If(NCTS.ncts_Befoerderungsmittel_KennzeichenGrenzueberschreitend, "")
        sbKennzeichenGrenzeLand.SET_VALUE(If(NCTS.ncts_Befoerderungsmittel_StaatszugehoerigkeitGrenzueberschreitendCode, ""))


        cboArtGrenzUeberschreitung.changeItem(NCTS.ncts_Befoerderungsmittel_ArtGrenzueberschreitung)
        cboVerkehrszweig.changeItem(NCTS.ncts_Befoerderungsmittel_VerkehrszweigGrenzueberschreitent)

        cboBesondereUmstaende.changeItem(NCTS.ncts_SumA_BesondereUmstaende)
        cboZahlungsweiseBefKosten.changeItem(NCTS.ncts_SumA_BefoerderungskostenZahlungsweise)

    End Sub
    Private Sub btnAllgemein_Click(sender As Object, e As EventArgs) Handles btnTMinus.Click, btnTIR.Click, btnT2F.Click, btnT2.Click, btnT1.Click
        initButton(sender)
    End Sub

    Sub initButton(sender As Button)
        setBtn(btnTMinus, False)
        setBtn(btnT1, False)
        setBtn(btnT2, False)
        setBtn(btnT2F, False)
        setBtn(btnTIR, False)

        If sender Is btnTMinus Then
            NCTS_ART = "T-" : txtArtDetail.Text = "Versandanmeldung T- Gemischte Sendungen aus T1- und T2-Waren oder aus T1- und T2F-Waren, die - für jede Warenart getrennt - auf Positionsebene aufgeführt sind."
        ElseIf sender Is btnT1 Then
            NCTS_ART = "T1" : txtArtDetail.Text = "Versandanmeldung T1 Waren, die im externen gemeinschaftlichen/gemeinsamen Versandverfahren befördert werden sollen."
        ElseIf sender Is btnT2 Then
            NCTS_ART = "T2" : txtArtDetail.Text = "Versandanmeldung T2 Waren, die - soweit nicht das T2F-Verfahren vorgeschrieben ist - im internen gemeinschaftlichen Versandverfahren befördert werden sollen"
        ElseIf sender Is btnT2F Then
            NCTS_ART = "T2F" : txtArtDetail.Text = "Versandanmeldung T2F Waren, die im Linienverkehr zwischen Teilen des Zollgebiets der Gemeinschaft, in denen die Richtlinie 77/388/EWG (6. Mehrwertsteuerrichtlinie) Anwendung findet und den Teilen des Zollgebiets der Gemeinschaft, in denen diese Richtlinie nicht gilt (siehe Titel I, Absatz 3) im internen gemeinschaftlichen Versandverfahren befördert werden sollen."
        ElseIf sender Is btnTIR Then
            NCTS_ART = "TIR" : txtArtDetail.Text = "Versandanmeldung für Waren, die im TIR (Transports Internationaux Routiers) befördert werden sollen"
        End If
        setBtn(sender, True)
    End Sub

    Sub setBtn(btn As Button, value As Boolean)
        If value Then
            btn.BackColor = Color.OrangeRed
            btn.ForeColor = Color.White
        Else
            btn.BackColor = Color.White
            btn.ForeColor = Color.Black
        End If

    End Sub

    Private Sub lklRoutenauswahl_LinkClicked(sender As Object, e As LinkLabelLinkClickedEventArgs) Handles lklRoutenauswahl.LinkClicked
        Dim frmRoutenauswahl As New frmRoutenauswahl
        If frmRoutenauswahl.ShowDialog(Me) = DialogResult.OK Then
            If frmRoutenauswahl.ROUTE.Count > 0 Then sbRoute1.SET_VALUE(frmRoutenauswahl.ROUTE(0)) Else sbRoute1.SET_VALUE("")
            If frmRoutenauswahl.ROUTE.Count > 1 Then sbRoute2.SET_VALUE(frmRoutenauswahl.ROUTE(1)) Else sbRoute2.SET_VALUE("")
            If frmRoutenauswahl.ROUTE.Count > 2 Then sbRoute3.SET_VALUE(frmRoutenauswahl.ROUTE(2)) Else sbRoute3.SET_VALUE("")
            If frmRoutenauswahl.ROUTE.Count > 3 Then sbRoute4.SET_VALUE(frmRoutenauswahl.ROUTE(3)) Else sbRoute4.SET_VALUE("")
            If frmRoutenauswahl.ROUTE.Count > 4 Then sbRoute5.SET_VALUE(frmRoutenauswahl.ROUTE(4)) Else sbRoute5.SET_VALUE("")
            If frmRoutenauswahl.ROUTE.Count > 5 Then sbRoute6.SET_VALUE(frmRoutenauswahl.ROUTE(5)) Else sbRoute6.SET_VALUE("")
            If frmRoutenauswahl.ROUTE.Count > 6 Then sbRoute7.SET_VALUE(frmRoutenauswahl.ROUTE(6)) Else sbRoute7.SET_VALUE("")
            If frmRoutenauswahl.ROUTE.Count > 7 Then sbRoute8.SET_VALUE(frmRoutenauswahl.ROUTE(7)) Else sbRoute8.SET_VALUE("")
            If frmRoutenauswahl.ROUTE.Count > 8 Then sbRoute9.SET_VALUE(frmRoutenauswahl.ROUTE(8)) Else sbRoute9.SET_VALUE("")

            If frmRoutenauswahl.ZOLLAEMTER.Count > 0 Then sbDurchgangszollstelle1.SET_VALUE(frmRoutenauswahl.ZOLLAEMTER(0)) Else sbDurchgangszollstelle1.SET_VALUE("")
            If frmRoutenauswahl.ZOLLAEMTER.Count > 1 Then sbDurchgangszollstelle2.SET_VALUE(frmRoutenauswahl.ZOLLAEMTER(1)) Else sbDurchgangszollstelle2.SET_VALUE("")
            If frmRoutenauswahl.ZOLLAEMTER.Count > 2 Then sbDurchgangszollstelle3.SET_VALUE(frmRoutenauswahl.ZOLLAEMTER(2)) Else sbDurchgangszollstelle3.SET_VALUE("")
            If frmRoutenauswahl.ZOLLAEMTER.Count > 3 Then sbDurchgangszollstelle4.SET_VALUE(frmRoutenauswahl.ZOLLAEMTER(3)) Else sbDurchgangszollstelle4.SET_VALUE("")
            If frmRoutenauswahl.ZOLLAEMTER.Count > 4 Then sbDurchgangszollstelle5.SET_VALUE(frmRoutenauswahl.ZOLLAEMTER(4)) Else sbDurchgangszollstelle5.SET_VALUE("")
            If frmRoutenauswahl.ZOLLAEMTER.Count > 5 Then sbDurchgangszollstelle6.SET_VALUE(frmRoutenauswahl.ZOLLAEMTER(5)) Else sbDurchgangszollstelle6.SET_VALUE("")
            If frmRoutenauswahl.ZOLLAEMTER.Count > 6 Then sbDurchgangszollstelle7.SET_VALUE(frmRoutenauswahl.ZOLLAEMTER(6)) Else sbDurchgangszollstelle7.SET_VALUE("")
            If frmRoutenauswahl.ZOLLAEMTER.Count > 7 Then sbDurchgangszollstelle8.SET_VALUE(frmRoutenauswahl.ZOLLAEMTER(7)) Else sbDurchgangszollstelle8.SET_VALUE("")
            If frmRoutenauswahl.ZOLLAEMTER.Count > 8 Then sbDurchgangszollstelle9.SET_VALUE(frmRoutenauswahl.ZOLLAEMTER(8)) Else sbDurchgangszollstelle9.SET_VALUE("")


            If frmRoutenauswahl.BESTIMMUNGSLAND <> "" Then sbBestimmungsland.SET_VALUE(frmRoutenauswahl.BESTIMMUNGSLAND)
        End If
    End Sub

    Private Sub cbxVereinfachtesVerfahren_CheckedChanged(sender As Object, e As EventArgs) Handles cbxVereinfachtesVerfahren.CheckedChanged
        txtWiedergestellungsdatum.Enabled = cbxVereinfachtesVerfahren.Checked
        txtBeladungsort.Enabled = cbxVereinfachtesVerfahren.Checked
    End Sub

    Private Sub cbxSumASicherheit_CheckedChanged(sender As Object, e As EventArgs) Handles cbxSumASicherheit.CheckedChanged
        txtEntladeort.Enabled = cbxVereinfachtesVerfahren.Checked
        txtLadeort.Enabled = cbxVereinfachtesVerfahren.Checked
        If Not txtLadeort.Enabled Then txtLadeort.Text = ""
        If Not txtEntladeort.Enabled Then txtEntladeort.Text = ""
    End Sub

    Private Sub PictureBox2_Click(sender As Object, e As EventArgs) Handles PictureBox2.Click
        txtKennzeichenGrenze.Text = txtKennzeichenAbgang.Text
    End Sub

    Private Sub PictureBox1_Click(sender As Object, e As EventArgs) Handles PictureBox1.Click
        txtKennzeichenAbgang.Text = txtKennzeichenGrenze.Text

    End Sub

    Private Sub sbVersendungsLand_TextChanged() Handles sbVersendungsLand.VALUE_CHANGED
        If VERAG_PROG_ALLGEMEIN.cAllgemein.FIRMA = "ATILLA" And cbxVereinfachtesVerfahren.Checked Then
            If sbVersendungsLand._value <> "" And txtLadeort.Text = "" Then
                txtLadeort.Text = sbVersendungsLand._value
            End If
        End If
    End Sub

    Private Sub sbBestimmungsland_TextChanged() Handles sbBestimmungsland.VALUE_CHANGED
        If VERAG_PROG_ALLGEMEIN.cAllgemein.FIRMA = "ATILLA" And cbxVereinfachtesVerfahren.Checked Then
            If sbBestimmungsland._value <> "" And txtEntladeort.Text = "" Then
                txtEntladeort.Text = sbBestimmungsland._value
            End If
        End If
    End Sub

    Private Sub LinkLabel1_LinkClicked(sender As Object, e As LinkLabelLinkClickedEventArgs) Handles LinkLabel1.LinkClicked
        txtKennzeichenGrenze.Text = txtKennzeichenAbgang.Text
        sbKennzeichenGrenzeLand.SET_VALUE(sbKennzeichenAbgangLand._value)
    End Sub

    Private Sub Button1_Click_1(sender As Object, e As EventArgs) Handles Button1.Click
        Dim origin = ""
        Dim destination = ""

        If sbAbgangZollstelle._value <> "" Then
            origin = sbAbgangZollstelle._value.Substring(0, 2) & " " & sbAbgangZollstelle.Text
        Else Exit Sub
        End If

        If sbBestimmungZollstelle._value <> "" Then
            destination = sbBestimmungZollstelle._value.Substring(0, 2) & " " & sbBestimmungZollstelle.Text
        Else Exit Sub
        End If

        Dim duration = ""
        Dim distance = ""
        Dim distanceSek = ""
        VERAG_PROG_ALLGEMEIN.cGoogleAPI.GoogleDistance(origin, destination, duration, distance, cbxWegStrecke.Checked)

        'lblWegstreckeVonNach.Text = "von: " & origin & vbNewLine
        'lblWegstreckeVonNach.Text &= "nach: " & destination


        lblWegstrecke.Text = "Wegstrecke: " & distance
        lblWegZeit.Text = "Fahrzeit: " & duration


    End Sub
End Class
